[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.CheckOffset

Signals the OnCanOffset event handler to determine the offset used when aligning the control, and the success or failure of the calculation.

## Declaration

Source position: extctrls.pp line 394

`protected function TCustomSplitter.CheckOffset(`
`var NewOffset: Integer`
`):Boolean; virtual;`

## Arguments

`NewOffset` |  | Offset value to check and optionally update in the method.

## Function result

True if the offset was successfully determined for the splitter control.

## Description

The return value is True by default, but it can be modified in the OnCanOffset event handler.

Used in the implementation of the MoveSplitter method.

## See also

TCustomSplitter.OnCanOffset |  | Event handler signalled to calculate the offset when the splitter is dragged, and to accept or reject the offset value.
TCustomSplitter.MoveSplitter |  | Moves the splitter by an amount specified in Offset.